Subject: Re: Trouble "Transferring control to Linux (at address 00000000)"

From: Scott Wood <[email-masked]>
Date: Fri, 26 Jun 2009 11:55:44 -0500

Mikhail Zaturenskiy wrote:
> Hello,
> 
> I'm trying to load Linux from U-Boot. I am using ELDK 4.2 with U-Boot
> 2009.03 on an EP88xC rev1.1 board (MPC885 cpu, 64MB RAM, 32MB FLASH).
> The linux kernel sources were obtained from instructions at
> "http://www.denx.de/wiki/view/DULG/LinuxConfiguration#Section_6.1."
> and the FDT blob (dtb) was generated from
> "linux-2.6-denx/arch/powerpc/boot/dts/ep88xc.dts". Below is my output
> from boot to hang:

This isn't the denx list; what kernel version is that, and with what 
modifications from mainline?

Note that ep88xc.dts in mainline is intended for use with PlanetCore, which is 
what ships on that board.  You may need to make modifications for it to work 
with u-boot (at the least, the IMMR base is probably different).  This is why 
u-boot should be maintaining its own repository of trees that it passes...

Also, make sure u-boot is properly updating the memory size in the device tree. 
  Can you dump the post-fixup device tree in u-boot?

-Scott